Clienteling SPI

GET Search and retrieve customers.

GET /merchant/spi/sample/endpoint/sa/customers

Operation ID: searchCustomers. Tags: Clienteling SPI.

Search and retrieve customers based on input parameters. Merchant must implement this endpoint per this specification and then configure it in CMS. For more information, see Point of Sale API, SPI, and Webhook Overview

Parameters

  • start (query, integer (int32))
    Default: 0.
  • count (query, integer (int32))
    Default: 20.
  • firstName (query, string)
  • lastName (query, string)
  • phone (query, string)
  • email (query, string)
  • id (query, string)
  • postalCode (query, string)
  • searchString (query, string)
  • countryCode (query, string)

Responses

  • default Default response.

    Media type: application/json. Schema: SearchCustomersResponse.